Package org.pushingpixels.substance.api.painter.fill

# Class SubduedFillPainter

java.lang.Object
org.pushingpixels.substance.api.painter.fill.StandardFillPainter
org.pushingpixels.substance.api.painter.fill.SubduedFillPainter

All Implemented Interfaces:
  `SubstanceFillPainter`, `SubstanceTrait`

public class SubduedFillPainter extends StandardFillPainter
Fill painter that returns images with subdued 3D gradient appearance. This class is part of officially supported API.

## Constructor Summary

Constructors
Constructor
Description
`SubduedFillPainter()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayName()`
Returns the display name of `this` trait.
`Color`
`getTopFillColor(SubstanceColorScheme fillScheme)`
Computes the color of the top portion of the fill.

### Methods inherited from class org.pushingpixels.substance.api.painter.fill.StandardFillPainter

`getBottomFillColor, getBottomShineColor, getMidFillColorBottom, getMidFillColorTop, getTopShineColor, paintContourBackground`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubduedFillPainter

public SubduedFillPainter()

## Method Details

### getDisplayName

public String getDisplayName()
Description copied from interface: `SubstanceTrait`
Returns the display name of `this` trait. This method is part of officially supported API.

Specified by:
  `getDisplayName` in interface `SubstanceTrait`
Overrides:
  `getDisplayName` in class `StandardFillPainter`
Returns:
  The display name of `this` trait.

### getTopFillColor

public Color getTopFillColor(SubstanceColorScheme fillScheme)
Description copied from class: `StandardFillPainter`
Computes the color of the top portion of the fill. Override to provide different visual.

Overrides:
  `getTopFillColor` in class `StandardFillPainter`
Parameters:
  `fillScheme` - The fill scheme.
Returns:
  The color of the top portion of the fill.